# Class CSS3DObject

#### Hierarchy (View Summary)

- Object3D
  - CSS3DObject
    - CSS3DSprite

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:7

##### Index

### Constructors

constructor

### Properties

element
isCSS3DObject
onAfterRender
onBeforeRender

### Methods

copy

## Constructors

### constructor

- new CSS3DObject(element?: HTMLElement): CSS3DObject

  #### Parameters

  - `Optional` element: HTMLElement

  #### Returns CSS3DObject

  Overrides Object3D.constructor

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:9

## Properties

### element

element: HTMLElement

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:12

### `Readonly` isCSS3DObject

isCSS3DObject: true

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:11

### onAfterRender

onAfterRender: (renderer: unknown, scene: Scene, camera: Camera) => void

Calls after rendering object

Overrides Object3D.onAfterRender

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:15

### onBeforeRender

onBeforeRender: (renderer: unknown, scene: Scene, camera: Camera) => void

Calls before rendering object

Overrides Object3D.onBeforeRender

- Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:14

## Methods

### copy

- copy(source: CSS3DObject, recursive?: boolean): this

  #### Parameters

  - source: CSS3DObject
  - `Optional` recursive: boolean

  #### Returns this

  Overrides Object3D.copy

  - Defined in lib/plugins/thirdParty/CSS3DRenderer.d.ts:17